/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { descriptor as parentDescriptor } from '../link-with-icon/link-with-icon.js';
import { propTypes as parentPropTypes } from '../link-with-icon/link-with-icon.js';
export { default as CustomElement } from '../../components/callout-quote/callout-link-with-icon.js';
import createReactCustomElementType from '@carbon/web-components/es/globals/wrappers/createReactCustomElementType.js';
import PropTypes from 'prop-types';
import settings from '@carbon/ibmdotcom-utilities/es/utilities/settings/settings.js';
var prefix = settings.prefix;
var c4dPrefix = settings.stablePrefix;
export var descriptor = Object.assign({}, parentDescriptor, {});
export var propTypes = {};
const Component = createReactCustomElementType(
  ''.concat(c4dPrefix, '-callout-link-with-icon'),
  descriptor
);
Component.propTypes = propTypes;
export default Component;
