/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  [prop: string]: unknown;
}
/**
 * Horizontal version of content group.
 *
 * @element c4d-content-block-horizontal
 * @csspart hr - The horizontal rule element that appears when the border property is true. Usage: `c4d-content-block-horizontal::part(hr)`
 */
declare class C4DContentBlockHorizontal extends Component<ComponentProps> {}
export default C4DContentBlockHorizontal;
