/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  [prop: string]: unknown;
}
/**
 * The heading content in content block.
 *
 * @element c4d-content-block-heading
 * @csspart h2 - The heading element within the content block. Usage: `c4d-content-block-heading::part(content-block-heading)`
 */
declare class C4DContentBlockHeading extends Component<ComponentProps> {}
export default C4DContentBlockHeading;
