/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  [prop: string]: unknown;
}
/**
 * Content group cards.
 *
 * @element c4d-content-group-cards
 * @csspart children - The Element container. Usage: `c4d-content-group-cards::part(children)`
 * @csspart cards-group - The cards group grid. Usage: `c4d-content-group-cards::part(cards-group)`
 * @csspart cards-row - The cards group row. Usage: `c4d-content-group-cards::part(cards-row)`
 */
declare class C4DContentGroupCards extends Component<ComponentProps> {}
export default C4DContentGroupCards;
