/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  [prop: string]: unknown;
}
/**
 * The heading content in content group.
 *
 * @element c4d-content-group-heading
 * @csspart heading - The Heading. Usage: `c4d-content-group-heading::part(heading)`
 */
declare class C4DContentGroupHeading extends Component<ComponentProps> {}
export default C4DContentGroupHeading;
