/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  [prop: string]: unknown;
}
/**
 * Component that renders dotcom shell from links, etc. data.
 *
 * @element c4d-dotcom-shell-composite
 * @csspart shell - The root element of the dotcom shell. Usage: `c4d-dotcom-shell-composite::part(shell)`
 */
declare class C4DDotcomShellComposite extends Component<ComponentProps> {}
export default C4DDotcomShellComposite;
