/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  [prop: string]: unknown;
}
/**
 * Dotcom shell.
 *
 * @element c4d-dotcom-shell
 * @csspart content - The content. Usage: `c4d-dotcom-shell::part(content)`
 */
declare class C4DDotcomShell extends Component<ComponentProps> {}
export default C4DDotcomShell;
