/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  /**
   * The name of the event that fires when the view all button is toggled.
   */
  onViewAll?: (event: CustomEvent) => void;
  [prop: string]: unknown;
}
/**
 * C4DFilterGroupItem renders each individual accordion
 *
 * @element c4d-filter-group-item
 */
declare class C4DFilterGroupItem extends Component<ComponentProps> {}
export default C4DFilterGroupItem;
