/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  [prop: string]: unknown;
}
/**
 * The input select inner dropdown.
 *
 * @element c4d-filter-panel-input-select-item
 * @csspart icon - The icon. `c4d-filter-panel-input-select-item::part(icon)`
 */
declare class C4DFilterPanelInputSelectItem extends Component<ComponentProps> {}
export default C4DFilterPanelInputSelectItem;
