/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  [prop: string]: unknown;
}
/**
 * LeadSpace Block content Component.
 *
 * @element c4d-leadspace-block-content
 * @csspart children - The wrapper around child items. Usage: c4d-leadspace-block-content::part(children)
 */
declare class C4DLeadSpaceBlockContent extends Component<ComponentProps> {}
export default C4DLeadSpaceBlockContent;
