/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  [prop: string]: unknown;
}
/**
 * Link list.
 *
 * @element c4d-link-list
 * @slot heading - The heading content.
 * @csspart heading - The heading wrapper. Usage `c4d-link-list::part(heading)`
 * @csspart list - The list wrapper. Usage `c4d-link-list::part(list)`
 */
declare class C4DLinkList extends Component<ComponentProps> {}
export default C4DLinkList;
