/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  [prop: string]: unknown;
}
/**
 * Tag Link.
 *
 * @element c4d-tag-link
 * @csspart link - The link. Usage: `c4d-tag-link::part(link)`
 */
declare class C4DTagLink extends Component<ComponentProps> {}
export default C4DTagLink;
