/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import C4DCard from '../card/card';
/**
 * Card Link.
 *
 * @element c4d-card-link
 */
declare class C4DCardLink extends C4DCard {
    /**
     * `true` to disable the card link.
     */
    disabled: boolean;
    updated(changedProperties: any): void;
    static get stableSelector(): string;
    static styles: any;
}
export default C4DCardLink;

//# sourceMappingURL=card-link.d.ts.map
