/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import C4DCardCTA from '../cta/card-cta';
/**
 * Feature Section Card Link.
 *
 * @element c4d-feature-section-card-link
 */
declare class C4DFeatureSectionCardLink extends C4DCardCTA {
    static get stableSelector(): string;
    static get styles(): import("lit").CSSResult;
}
export default C4DFeatureSectionCardLink;

//# sourceMappingURL=feature-section-card-link.d.ts.map
