/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import CDSLink from '@carbon/web-components/es/components/link/link.js';
/**
 * Footer nav item.
 *
 * @element c4d-footer-nav-item
 */
declare class C4DFooterNavItem extends CDSLink {
    protected _renderInner(): import("lit-html").TemplateResult<1>;
    /**
     * The title.
     */
    titleText: string;
    connectedCallback(): void;
    updated(): void;
    static styles: any;
}
export default C4DFooterNavItem;

//# sourceMappingURL=footer-nav-item.d.ts.map
