/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import CDSSelect from '@carbon/web-components/es/components/select/select.js';
/**
 * Language selector component - mobile version.
 * The API for language selection is still subject to change.
 *
 * @element c4d-language-selector-mobile
 */
declare class C4DLanguageSelectorMobile extends CDSSelect {
    /**
     * The shadow slot this language-selector should be in.
     */
    slot: string;
    static styles: any;
}
export default C4DLanguageSelectorMobile;

//# sourceMappingURL=language-selector-mobile.d.ts.map
