import _decorate from "@babel/runtime/helpers/esm/decorate";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";
import _get from "@babel/runtime/helpers/esm/get";
let _ = t => t,
  _t;
function _superPropGet(t, e, r, o) { var p = _get(_getPrototypeOf(1 & o ? t.prototype : t), e, r); return 2 & o ? function (t) { return p.apply(r, t); } : p; }
/**
 * @license
 *
 * Copyright IBM Corp. 2021, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { css } from 'lit';
import { property } from 'lit/decorators.js';
import settings from '@carbon/ibmdotcom-utilities/es/utilities/settings/settings.js';
import C4DImage from "../image/image.js";
import styles from "././global-banner.css.js";
import { carbonElement as customElement } from '@carbon/web-components/es/globals/decorators/carbon-element.js';
const {
  stablePrefix: c4dPrefix
} = settings;

/**
 * Global banner image.
 *
 * @element c4d-global-banner-image
 */
let C4DGlobalBannerImage = _decorate([customElement(`${c4dPrefix}-global-banner-image`)], function (_initialize, _C4DImage) {
  class C4DGlobalBannerImage extends _C4DImage {
    constructor(...args) {
      super(...args);
      _initialize(this);
    }
  }
  return {
    F: C4DGlobalBannerImage,
    d: [{
      kind: "field",
      decorators: [property({
        reflect: true
      })],
      key: "slot",
      value() {
        return 'image';
      }
    }, {
      kind: "get",
      static: true,
      key: "stableSelector",
      value:
      /**
       * The shadow slot the image should go in
       */

      function () {
        return `${c4dPrefix}-global-banner-image`;
      }
    }, {
      kind: "get",
      static: true,
      key: "styles",
      value: function () {
        return css(_t || (_t = _`
      ${0}${0}
    `), _superPropGet(C4DGlobalBannerImage, "styles", this), styles);
      }
    }]
  };
}, C4DImage);
/* @__GENERATE_REACT_CUSTOM_ELEMENT_TYPE__ */
export default C4DGlobalBannerImage;
//# sourceMappingURL=global-banner-image.js.map
