/**
 * @license
 *
 * Copyright IBM Corp. 2021
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */

/**
 * Dual themes
 */
export let DUAL_THEMES;

/**
 * Adjacent themes
 */
(function (DUAL_THEMES) {
  DUAL_THEMES["WHITE_AND_G10"] = "white-and-g10";
  DUAL_THEMES["G10_AND_WHITE"] = "g10-and-white";
  DUAL_THEMES["G90_AND_G100"] = "g90-and-g100";
  DUAL_THEMES["G100_AND_G90"] = "g100-and-g90";
  DUAL_THEMES["MONOTHEME"] = "";
})(DUAL_THEMES || (DUAL_THEMES = {}));
export let ADJACENT_THEMES;
(function (ADJACENT_THEMES) {
  ADJACENT_THEMES["MONOTHEME"] = "";
  ADJACENT_THEMES["DUAL_THEME"] = "dual-theme";
})(ADJACENT_THEMES || (ADJACENT_THEMES = {}));
//# sourceMappingURL=defs.js.map
