/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import CDSSideNavMenuItem from '@carbon/web-components/es/components/ui-shell/side-nav-menu-item.js';
/**
 * Masthead left nav submenu item.
 *
 * @element c4d-left-nav-menu-item
 * @csspart link - The link. Usage `c4d-left-nav-menu-item(link)`
 * @csspart title - The title. Usage `c4d-left-nav-menu-item(title)`
 */
declare class C4DLeftNavMenuItem extends CDSSideNavMenuItem {
    isHeading?: boolean;
    isViewAll?: boolean;
    updated(changedProperties: any): void;
    render(): import("lit-html").TemplateResult<1>;
    static styles: any;
}
export default C4DLeftNavMenuItem;

//# sourceMappingURL=left-nav-menu-item.d.ts.map
