/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { LitElement } from 'lit';
/**
 * Left nav overlay.
 *
 * @element c4d-left-nav-overlay
 */
declare class C4DLeftNavOverlay extends LitElement {
    /**
     * `true` if this overlay should represent its active state.
     */
    active: boolean;
    connectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
    static styles: any;
}
export default C4DLeftNavOverlay;

//# sourceMappingURL=left-nav-overlay.d.ts.map
