/**
 * @license
 *
 * Copyright IBM Corp. 2022, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import C4DMegaMenuHeading from './megamenu-heading';
/**
 * MegaMenu Category Heading.
 *
 * @element c4d-megamenu-category-heading
 * @csspart l0-arrow-cat-heading -  Targets the heading category arrow icon. Usage: `c4d-megamenu-category-heading::part(l0-arrow-cat-heading)`
 */
declare class C4DMegaMenuCategoryHeading extends C4DMegaMenuHeading {
    protected get _arrowIcon(): import("lit-html").SVGTemplateResult;
    headingLevel: number;
    static styles: any;
}
export default C4DMegaMenuCategoryHeading;

//# sourceMappingURL=megamenu-category-heading.d.ts.map
