/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import C4DMegaMenuRightNavigation from './megamenu-right-navigation';
/**
 * MegaMenu left navigation (highlighted) section.
 *
 * @element c4d-megamenu-left-navigation
 */
declare class C4DMegaMenuLeftNavigation extends C4DMegaMenuRightNavigation {
    static styles: any;
    static get onlyChildClassName(): string;
    static get stableSelector(): string;
}
export default C4DMegaMenuLeftNavigation;

//# sourceMappingURL=megamenu-left-navigation.d.ts.map
