/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { LitElement } from 'lit';
/**
 * Megamenu overlay.
 *
 * @element c4d-megamenu-overlay
 */
declare class C4DMegaMenuOverlay extends LitElement {
    /**
     * `true` if this overlay should represent its active state.
     */
    active: boolean;
    render(): import("lit-html").TemplateResult<1>;
    static styles: any;
}
export default C4DMegaMenuOverlay;

//# sourceMappingURL=megamenu-overlay.d.ts.map
