/**
 * @license
 *
 * Copyright IBM Corp. 2021, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import CDSTab from '@carbon/web-components/es/components/tabs/tab.js';
/**
 * Megamenu Tab.
 *
 * @element c4d-megamenu-tab
 * @csspart nav-link - The text input. Usage: `c4d-megamenu-tab::part(nav-link)`
 */
declare class C4DMegaMenuTab extends CDSTab {
    connectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
    static styles: any;
}
export default C4DMegaMenuTab;

//# sourceMappingURL=megamenu-tab.d.ts.map
