/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import CDSSkipToContent from '@carbon/web-components/es/components/skip-to-content/skip-to-content.js';
/**
 * Skip to content button in masthead.
 *
 * @element c4d-masthead-skip-to-content
 */
declare class C4DSkipToContent extends CDSSkipToContent {
    /**
     * The shadow slot this logo UI should be in.
     */
    slot: string;
    static styles: any;
}
export default C4DSkipToContent;

//# sourceMappingURL=skip-to-content.d.ts.map
