/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import C4DTopNav from './top-nav';
/**
 * Masthead top nav for L1.
 *
 * @element c4d-top-nav-l1
 */
declare class C4DTopNavL1 extends C4DTopNav {
    protected _handleSearchToggle: () => void;
    /**
     * `true` to hide the divider.
     */
    hideDivider: boolean;
    static get stableSelector(): string;
}
export default C4DTopNavL1;

//# sourceMappingURL=top-nav-l1.d.ts.map
