/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2025
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */

export let QUOTE_TYPES;
(function (QUOTE_TYPES) {
  QUOTE_TYPES["DEFAULT"] = "double-curved";
  QUOTE_TYPES["SINGLE_CURVED"] = "single-curved";
  QUOTE_TYPES["SINGLE_ANGLE"] = "single-angle";
  QUOTE_TYPES["DOUBLE_ANGLE"] = "double-angle";
  QUOTE_TYPES["LOW_HIGH_REVERSED_DOUBLE_CURVED"] = "low-high-reversed-double-curved";
  QUOTE_TYPES["CORNER_BRACKET"] = "corner-bracket";
  QUOTE_TYPES["BUBBLE_QUOTE"] = "bubble-quote";
})(QUOTE_TYPES || (QUOTE_TYPES = {}));
//# sourceMappingURL=defs.js.map
