/**
 * @license
 *
 * Copyright IBM Corp. 2021, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { LitElement } from 'lit';
/**
 * The source bottom copy content of quote.
 *
 * @element c4d-quote-source-bottom-copy
 */
declare class C4DQuoteSourceBottomCopy extends LitElement {
    /**
     * The shadow slot this source bottom copy content should be in.
     */
    slot: string;
    render(): import("lit-html").TemplateResult<1>;
    static styles: any;
}
export default C4DQuoteSourceBottomCopy;

//# sourceMappingURL=quote-source-bottom-copy.d.ts.map
