/**
 * @license
 *
 * Copyright IBM Corp. 2021, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { LitElement } from 'lit';
/**
 * The source heading content of quote.
 *
 * @element c4d-quote-source-heading
 */
declare class C4DQuoteSourceHeading extends LitElement {
    /**
     * The shadow slot this source copy content should be in.
     */
    slot: string;
    render(): import("lit-html").TemplateResult<1>;
    static styles: any;
}
export default C4DQuoteSourceHeading;

//# sourceMappingURL=quote-source-heading.d.ts.map
