/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import CDSSearch from '@carbon/web-components/es/components/search/search.js';
/**
 * Expressive search.
 *
 * @element c4d-search
 */
declare class C4DSearch extends CDSSearch {
    /**
     * The name of the custom event fired after the search content is changed upon a user gesture.
     */
    static get eventInput(): string;
    static styles: any;
}
export default C4DSearch;

//# sourceMappingURL=search.d.ts.map
