import _decorate from "@babel/runtime/helpers/esm/decorate";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";
import _get from "@babel/runtime/helpers/esm/get";
function _superPropGet(t, e, r, o) { var p = _get(_getPrototypeOf(1 & o ? t.prototype : t), e, r); return 2 & o ? function (t) { return p.apply(r, t); } : p; }
/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */

import CDSStructuredListHeaderRow from '@carbon/web-components/es/components/structured-list/structured-list-header-row.js';
import 'lit';
import settings from '@carbon/ibmdotcom-utilities/es/utilities/settings/settings.js';
import styles from "././structured-list.css.js";
import { carbonElement as customElement } from '@carbon/web-components/es/globals/decorators/carbon-element.js';
const {
  stablePrefix: c4dPrefix
} = settings;

/**
 * StructuredListHeaderRow
 *
 * @element c4d-structured-list-header-row
 */
let C4DStructuredListHeaderRow = _decorate([customElement(`${c4dPrefix}-structured-list-header-row`)], function (_initialize, _CDSStructuredListHea) {
  class C4DStructuredListHeaderRow extends _CDSStructuredListHea {
    constructor(...args) {
      super(...args);
      _initialize(this);
    }
  }
  return {
    F: C4DStructuredListHeaderRow,
    d: [{
      kind: "method",
      key: "connectedCallback",
      value: function connectedCallback() {
        _superPropGet(C4DStructuredListHeaderRow, "connectedCallback", this, 3)([]);
      }
    }, {
      kind: "field",
      static: true,
      key: "styles",
      value() {
        return styles;
      }
    }]
  };
}, CDSStructuredListHeaderRow);
/* @__GENERATE_REACT_CUSTOM_ELEMENT_TYPE__ */
export default C4DStructuredListHeaderRow;
//# sourceMappingURL=structured-list-header-row.js.map
