/**
 * @license
 *
 * Copyright IBM Corp. 2021, 2023
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */

/**
 * Type of orientation for the Tabs Extended
 */
export let ORIENTATION;

/**
 * Tabs types.
 */
(function (ORIENTATION) {
  ORIENTATION["HORIZONTAL"] = "horizontal";
  ORIENTATION["VERTICAL"] = "vertical";
})(ORIENTATION || (ORIENTATION = {}));
export let TABS_TYPE;
(function (TABS_TYPE) {
  TABS_TYPE["REGULAR"] = "";
  TABS_TYPE["CONTAINED"] = "contained";
})(TABS_TYPE || (TABS_TYPE = {}));
//# sourceMappingURL=defs.js.map
