"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MEDIA_ALIGNMENT = exports.COLOR_SCHEME = void 0;
/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2025
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
/**
 * Type of the Media Alignment
 */
let MEDIA_ALIGNMENT = exports.MEDIA_ALIGNMENT = void 0;
/**
 * Type of color scheme
 */
(function (MEDIA_ALIGNMENT) {
  MEDIA_ALIGNMENT["RIGHT"] = "right";
  MEDIA_ALIGNMENT["LEFT"] = "left";
})(MEDIA_ALIGNMENT || (exports.MEDIA_ALIGNMENT = MEDIA_ALIGNMENT = {}));
let COLOR_SCHEME = exports.COLOR_SCHEME = void 0;
(function (COLOR_SCHEME) {
  COLOR_SCHEME["REGULAR"] = "regular";
  COLOR_SCHEME["INVERSE"] = "inverse";
  COLOR_SCHEME["CYAN"] = "cyan";
  COLOR_SCHEME["PURPLE"] = "purple";
})(COLOR_SCHEME || (exports.COLOR_SCHEME = COLOR_SCHEME = {}));
//# sourceMappingURL=defs.js.map
