"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ICON_PLACEMENT = exports.BASIC_COLOR_SCHEME = void 0;
/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
/**
 * Basic color scheme for components.
 */
let BASIC_COLOR_SCHEME = exports.BASIC_COLOR_SCHEME = void 0;
/**
 * Icon Placement.
 */
(function (BASIC_COLOR_SCHEME) {
  BASIC_COLOR_SCHEME["REGULAR"] = "";
  BASIC_COLOR_SCHEME["INVERSE"] = "inverse";
})(BASIC_COLOR_SCHEME || (exports.BASIC_COLOR_SCHEME = BASIC_COLOR_SCHEME = {}));
let ICON_PLACEMENT = exports.ICON_PLACEMENT = void 0;
/**
 * Constructor type. Used for defining mix-ins.
 */
(function (ICON_PLACEMENT) {
  ICON_PLACEMENT["LEFT"] = "left";
  ICON_PLACEMENT["RIGHT"] = "right";
})(ICON_PLACEMENT || (exports.ICON_PLACEMENT = ICON_PLACEMENT = {}));
//# sourceMappingURL=defs.js.map
