/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  [prop: string]: unknown;
}
/**
 * Back to top
 *
 * @element c4d-back-to-top
 * @csspart button - The button. Usage: `c4d-back-to-top::part(button)`
 */
declare class C4DBackToTop extends Component<ComponentProps> {}
export default C4DBackToTop;
