/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  [prop: string]: unknown;
}
/**
 * Card in Card.
 *
 * @element c4d-card-in-card
 * @csspart image - The Thumbnail image. Usage `c4d-card-in-card::part(image)`
 */
declare class C4DCardInCard extends Component<ComponentProps> {}
export default C4DCardInCard;
