/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  [prop: string]: unknown;
}
/**
 * The copy content in content group.
 *
 * @element c4d-content-group-copy
 * @csspart paragraph - The paragraph element within the content group copy. Usage: `c4d-content-group-copy::part(paragraph)`
 */
declare class C4DContentGroupCopy extends Component<ComponentProps> {}
export default C4DContentGroupCopy;
