/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  [prop: string]: unknown;
}
/**
 * The copy content of content item row with thumbnail.
 *
 * @element c4d-content-item-row-thumbnail-copy
 */
declare class C4DContentItemRowThumbnailCopy
  extends Component<ComponentProps> {}
export default C4DContentItemRowThumbnailCopy;
