/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  [prop: string]: unknown;
}
/**
 * Heading in content section.
 *
 * @element c4d-content-section-heading
 */
declare class C4DContentSectionHeading extends Component<ComponentProps> {}
export default C4DContentSectionHeading;
