/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  [prop: string]: unknown;
}
/**
 * The CTA BLOCK ITEM component
 *
 * @element c4d-cta-block-item
 * @slot statistics
 * @slot media
 * @slot heading
 * @slot .
 * @slot footer
 * @csspart statistics -  The statistics. Usage: `c4d-cta-block-item::part(statistics)`
 * @csspart media -  The media. Usage: `c4d-cta-block-item::part(media)`
 */
declare class C4DCTABlockItem extends Component<ComponentProps> {}
export default C4DCTABlockItem;
