/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  [prop: string]: unknown;
}
/**
 * Card CTA footer.
 *
 * @element c4d-card-footer
 * @csspart copy - The text content. Usage: `c4d-card-footer::part(copy)`
 */
declare class C4DCardCTAFooter extends Component<ComponentProps> {}
export default C4DCardCTAFooter;
