/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  [prop: string]: unknown;
}
/**
 * Feature CTA.
 *
 * @element c4d-feature-cta
 * @csspart copy - The copy content. Usage: `c4d-feature-cta::part(copy)`
 */
declare class C4DFeatureCTA extends Component<ComponentProps> {}
export default C4DFeatureCTA;
