/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  /**
   * The event name when this element changes.
   */
  onChange?: (event: CustomEvent) => void;
  [prop: string]: unknown;
}
/**
 * The heading content of filter panel.
 *
 * @element c4d-filter-panel-heading
 */
declare class C4DFilterPanelHeading extends Component<ComponentProps> {}
export default C4DFilterPanelHeading;
