/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  /**
   * The event handler for the custom event fired after this modal is closed upon a user gesture.
   */
  onCloseModal?: (event: CustomEvent) => void;
  [prop: string]: unknown;
}
/**
 * Component that rendres footer from inks data.
 *
 * @element c4d-footer-composite
 */
declare class C4DFooterComposite extends Component<ComponentProps> {}
export default C4DFooterComposite;
