/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  [prop: string]: unknown;
}
/**
 * Global banner image.
 *
 * @element c4d-global-banner-image
 */
declare class C4DGlobalBannerImage extends Component<ComponentProps> {}
export default C4DGlobalBannerImage;
