/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  [prop: string]: unknown;
}
/**
 * Leaving IBM Modal body.
 *
 * @element c4d-leaving-ibm-modal-body
 * @csspart content - The content. Usage `c4d-leaving-ibm-modal-body::part(content)`
 * @csspart supplemental-link - The supplemental link. Usage `c4d-leaving-ibm-modal-body::part(supplemental-link)`
 */
declare class C4DLeavingIbmModalBody extends Component<ComponentProps> {}
export default C4DLeavingIbmModalBody;
