/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  [prop: string]: unknown;
}
/**
 * Logo-grid-item.
 *
 * @element c4d-logo-grid-item
 * @csspart logo - the logo container - Usage: `4d-logo-grid-item::part(logo)`
 */
declare class C4DLogoGridItem extends Component<ComponentProps> {}
export default C4DLogoGridItem;
