/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  [prop: string]: unknown;
}
/**
 * The source bottom copy content of quote.
 *
 * @element c4d-quote-source-bottom-copy
 */
declare class C4DQuoteSourceBottomCopy extends Component<ComponentProps> {}
export default C4DQuoteSourceBottomCopy;
