/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  [prop: string]: unknown;
}
/**
 * StructuredListGroup
 *
 * @element c4d-structured-list-group
 * @csspart row - The table group title row. Usage `c4d-structured-list-group::part(row)`
 * @csspart row--group-title - The table group title row. Usage `c4d-structured-list-group::part(row--group-title)`
 * @csspart group-title - The group title. Usage `c4d-structured-list-group::part(group-title)`
 */
declare class C4DStructuredListGroup extends Component<ComponentProps> {}
export default C4DStructuredListGroup;
