/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Component } from 'react';
export interface ComponentProps {
  [prop: string]: unknown;
}
/**
 * A component to present media content inside a tabbed layout.
 *
 * @element c4d-tabs-extended-media
 */
declare class C4DTabsExtendedMedia extends Component<ComponentProps> {}
export default C4DTabsExtendedMedia;
