/**
 * @license
 *
 * Copyright IBM Corp. 2021, 2025
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */

/**
 * Gradient Direction
 */
export let GRADIENT_DIRECTION;

/**
 * Mobile Position
 */
(function (GRADIENT_DIRECTION) {
  GRADIENT_DIRECTION["LEFT_TO_RIGHT"] = "left-to-right";
  GRADIENT_DIRECTION["RIGHT_TO_LEFT"] = "right-to-left";
  GRADIENT_DIRECTION["TOP_TO_BOTTOM"] = "top-to-bottom";
})(GRADIENT_DIRECTION || (GRADIENT_DIRECTION = {}));
export let MOBILE_POSITION;
(function (MOBILE_POSITION) {
  MOBILE_POSITION["TOP"] = "top";
  MOBILE_POSITION["BOTTOM"] = "bottom";
})(MOBILE_POSITION || (MOBILE_POSITION = {}));
//# sourceMappingURL=defs.js.map
