/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import C4DLinkWithIcon from '../link-with-icon/link-with-icon';
import { COLOR_SCHEME } from '../../component-mixins/callout/defs';
/**
 * Callout link with item
 *
 * @element c4d-callout-link-with-icon
 */
declare class C4DCalloutLinkWithIcon extends C4DLinkWithIcon {
    /**
     * The color-scheme type.
     */
    colorScheme: COLOR_SCHEME;
    static get stableSelector(): string;
    static get styles(): import("lit").CSSResult;
}
export default C4DCalloutLinkWithIcon;

//# sourceMappingURL=callout-link-with-icon.d.ts.map
