/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import C4DContentSection from '../content-section/content-section';
/**
 * The Card Section Carousel pattern
 *
 * @element c4d-card-section-carousel
 */
declare class C4DCardSectionCarousel extends C4DContentSection {
    static get stableSelector(): string;
    static get styles(): import("lit").CSSResult;
}
export default C4DCardSectionCarousel;

//# sourceMappingURL=card-section-carousel.d.ts.map
