import _decorate from "@babel/runtime/helpers/esm/decorate";
import _getPrototypeOf from "@babel/runtime/helpers/esm/getPrototypeOf";
import _get from "@babel/runtime/helpers/esm/get";
let _ = t => t,
  _t;
function _superPropGet(t, e, r, o) { var p = _get(_getPrototypeOf(1 & o ? t.prototype : t), e, r); return 2 & o ? function (t) { return p.apply(r, t); } : p; }
/**
 * @license
 *
 * Copyright IBM Corp. 2021, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { css } from 'lit';
import settings from '@carbon/ibmdotcom-utilities/es/utilities/settings/settings.js';
import { carbonElement as customElement } from '@carbon/web-components/es/globals/decorators/carbon-element.js';
import C4DImage from "../image/image.js";
import styles from "./../image/image.css.js";
const {
  stablePrefix: c4dPrefix
} = settings;

/**
 * Image logo.
 *
 * @element c4d-image-logo
 */
let C4DImageLogo = _decorate([customElement(`${c4dPrefix}-image-logo`)], function (_initialize, _C4DImage) {
  class C4DImageLogo extends _C4DImage {
    constructor(...args) {
      super(...args);
      _initialize(this);
    }
  }
  return {
    F: C4DImageLogo,
    d: [{
      kind: "get",
      static: true,
      key: "stableSelector",
      value: function () {
        return `${c4dPrefix}-image-logo`;
      }
    }, {
      kind: "get",
      static: true,
      key: "styles",
      value: function () {
        return css(_t || (_t = _`
      ${0}${0}
    `), _superPropGet(C4DImageLogo, "styles", this), styles);
      }
    }]
  };
}, C4DImage);
/* @__GENERATE_REACT_CUSTOM_ELEMENT_TYPE__ */
export default C4DImageLogo;
//# sourceMappingURL=image-logo.js.map
