/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import C4DContentBlock from '../content-block/content-block';
/**
 * Content block media.
 *
 * @element c4d-content-block-media
 */
declare class C4DContentBlockMedia extends C4DContentBlock {
    static get stableSelector(): string;
    static get styles(): import("lit").CSSResult;
}
export default C4DContentBlockMedia;

//# sourceMappingURL=content-block-media.d.ts.map
