/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import C4DContentBlock from '../content-block/content-block';
/**
 * Content block mixed
 *
 * @element c4d-content-block-mixed
 */
declare class C4DContentBlockMixed extends C4DContentBlock {
    static get stableSelector(): string;
    static get styles(): import("lit").CSSResult;
}
export default C4DContentBlockMixed;

//# sourceMappingURL=content-block-mixed.d.ts.map
