/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import C4DContentBlock from '../content-block/content-block';
/**
 * Simple version of content block.
 *
 * @element c4d-content-block-segmented
 */
declare class C4DContentBlockSegmented extends C4DContentBlock {
    protected _getContainerClasses(): import("lit-html/directive").DirectiveResult<typeof import("lit-html/directives/class-map").ClassMapDirective>;
    protected _renderInnerBody(): import("lit-html").TemplateResult<1>;
    static get stableSelector(): string;
    static get styles(): import("lit").CSSResult;
}
export default C4DContentBlockSegmented;

//# sourceMappingURL=content-block-segmented.d.ts.map
