/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { LitElement } from 'lit';
/**
 * The complementary content in content block.
 *
 * @element c4d-content-block-complementary
 */
declare class C4DContentBlockComplementary extends LitElement {
    /**
     * The shadow slot this logo UI should be in.
     */
    slot: string;
    connectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
    static styles: any;
}
export default C4DContentBlockComplementary;

//# sourceMappingURL=content-block-complementary.d.ts.map
