/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2021
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */

/**
 * The copy content size.
 */
export let CONTENT_BLOCK_COPY_SIZE;

/**
 * The style scheme for the complementary content.
 */
(function (CONTENT_BLOCK_COPY_SIZE) {
  CONTENT_BLOCK_COPY_SIZE["SMALL"] = "sm";
  CONTENT_BLOCK_COPY_SIZE["REGULAR"] = "md";
})(CONTENT_BLOCK_COPY_SIZE || (CONTENT_BLOCK_COPY_SIZE = {}));
export let CONTENT_BLOCK_COMPLEMENTARY_STYLE_SCHEME;
(function (CONTENT_BLOCK_COMPLEMENTARY_STYLE_SCHEME) {
  CONTENT_BLOCK_COMPLEMENTARY_STYLE_SCHEME["REGULAR"] = "regular";
  CONTENT_BLOCK_COMPLEMENTARY_STYLE_SCHEME["WITH_BORDER"] = "with-border";
})(CONTENT_BLOCK_COMPLEMENTARY_STYLE_SCHEME || (CONTENT_BLOCK_COMPLEMENTARY_STYLE_SCHEME = {}));
//# sourceMappingURL=defs.js.map
