/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import C4DContentGroup from '../content-group/content-group';
/**
 * Content group with pictograms
 *
 * @element c4d-content-group-pictogram
 */
declare class C4DContentGroupPictograms extends C4DContentGroup {
    static get stableSelector(): string;
    static get styles(): import("lit").CSSResult;
}
export default C4DContentGroupPictograms;

//# sourceMappingURL=content-group-pictograms.d.ts.map
