/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import C4DVideoPlayerContainer from '../video-player/video-player-container';
/**
 * The video content in row content item with media.
 *
 * @element c4d-content-item-row-media-video
 */
declare class C4DContentItemRowMediaVideo extends C4DVideoPlayerContainer {
    /**
     * The shadow slot this video should be in.
     */
    slot: string;
    render(): import("lit-html").TemplateResult<1>;
    static get stableSelector(): string;
    static styles: any;
}
export default C4DContentItemRowMediaVideo;

//# sourceMappingURL=content-item-row-media-video.d.ts.map
