/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import C4DTextCTA from './text-cta';
/**
 * Link list item CTA.
 *
 * @element c4d-link-list-item-cta
 */
declare class C4DLinkListItemCTA extends C4DTextCTA {
    connectedCallback(): void;
    static get stableSelector(): string;
    static get styles(): import("lit").CSSResult;
}
export default C4DLinkListItemCTA;

//# sourceMappingURL=link-list-item-cta.d.ts.map
