/**
 * Copyright IBM Corp. 2016, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { TOC_TYPES } from '../../../table-of-contents/defs';
import '../../../card/index';
import '../../../cta/index';
import '../../../card-group/index';
import '../../../content-block/index';
import '../../../content-block-segmented/index';
import '../../../content-item-row/index';
import '../../../leadspace/index';
import '../../../image/index';
import '../../../leadspace-block/index';
import '../../../link-list/index';
import '../../../quote/index';
import '../../../cta-block/index';
import '../../../callout-quote/index';
import '../../../callout-with-media/index';
import '../../../table-of-contents/index';
export declare const image: import("lit-html").TemplateResult<1>;
export declare const contentBlockSegmentedItems: import("lit-html").TemplateResult<1>;
export declare const contentBlockSegmentedItemsWithImage: import("lit-html").TemplateResult<1>;
export declare const contentItemHorizontal: import("lit-html").TemplateResult<1>;
export declare const globalBanner: (srcImage: any) => import("lit-html").TemplateResult<1>;
export declare const cardGroupItems: import("lit-html").TemplateResult<1>;
export declare const contentLeadspace: import("lit-html").TemplateResult<1>;
export declare const contentLeadspaceSearch: import("lit-html").TemplateResult<1>;
export declare const tocContent: import("lit-html").TemplateResult<1>;
export declare const StoryContent: (config?: {
    l1: boolean;
    leadspace: boolean;
    leadspaceSearch: boolean;
    tocLayout: TOC_TYPES;
}) => import("lit-html").TemplateResult<1>;
export declare const StoryContentNoToC: () => import("lit-html").TemplateResult<1>;
declare const _default: {
    StoryContent: (config?: {
        l1: boolean;
        leadspace: boolean;
        leadspaceSearch: boolean;
        tocLayout: TOC_TYPES;
    }) => import("lit-html").TemplateResult<1>;
    StoryContentNoToC: () => import("lit-html").TemplateResult<1>;
};
export default _default;

//# sourceMappingURL=content.d.ts.map
