/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2021
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */

/**
 * Expressive modal size.
 */
export let EXPRESSIVE_MODAL_SIZE;

/**
 * Expressive modal mode.
 */
(function (EXPRESSIVE_MODAL_SIZE) {
  EXPRESSIVE_MODAL_SIZE["REGULAR"] = "";
  EXPRESSIVE_MODAL_SIZE["FULL_WIDTH"] = "full-width";
})(EXPRESSIVE_MODAL_SIZE || (EXPRESSIVE_MODAL_SIZE = {}));
export let EXPRESSIVE_MODAL_MODE;
(function (EXPRESSIVE_MODAL_MODE) {
  EXPRESSIVE_MODAL_MODE["DEFAULT"] = "";
  EXPRESSIVE_MODAL_MODE["LIGHTBOX"] = "lightbox";
})(EXPRESSIVE_MODAL_MODE || (EXPRESSIVE_MODAL_MODE = {}));
//# sourceMappingURL=defs.js.map
