/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */

export { FORM_ELEMENT_COLOR_SCHEME as DROPDOWN_COLOR_SCHEME } from '@carbon/web-components/es/globals/shared-enums.js';

/**
 * Footer size.
 */
export let FOOTER_SIZE;

// TODO: Remove when JAWS bug has been fixed

/**
 * The style scheme of language selector.
 */
(function (FOOTER_SIZE) {
  FOOTER_SIZE["REGULAR"] = "";
  FOOTER_SIZE["SHORT"] = "short";
  FOOTER_SIZE["MICRO"] = "micro";
})(FOOTER_SIZE || (FOOTER_SIZE = {}));
export let LANGUAGE_SELECTOR_STYLE_SCHEME;

/**
 * Dropdown size.
 */
(function (LANGUAGE_SELECTOR_STYLE_SCHEME) {
  LANGUAGE_SELECTOR_STYLE_SCHEME["REGULAR"] = "";
  LANGUAGE_SELECTOR_STYLE_SCHEME["BLENDED"] = "blended";
})(LANGUAGE_SELECTOR_STYLE_SCHEME || (LANGUAGE_SELECTOR_STYLE_SCHEME = {}));
export let DROPDOWN_SIZE;
(function (DROPDOWN_SIZE) {
  DROPDOWN_SIZE["REGULAR"] = "";
  DROPDOWN_SIZE["SMALL"] = "sm";
  DROPDOWN_SIZE["LARGE"] = "lg";
  DROPDOWN_SIZE["MICRO"] = "micro";
})(DROPDOWN_SIZE || (DROPDOWN_SIZE = {}));
//# sourceMappingURL=defs.js.map
