/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */

/**
 * Type of the HR
 */
export let HR_TYPE;

/**
 * Length of the HR
 */
(function (HR_TYPE) {
  HR_TYPE["SOLID"] = "solid";
  HR_TYPE["DASHED"] = "dashed";
})(HR_TYPE || (HR_TYPE = {}));
export let HR_SIZE;

/**
 * Contrast of the HR
 */
(function (HR_SIZE) {
  HR_SIZE["FLUID"] = "fluid";
  HR_SIZE["SMALL"] = "small";
  HR_SIZE["MEDIUM"] = "medium";
  HR_SIZE["LARGE"] = "large";
})(HR_SIZE || (HR_SIZE = {}));
export let HR_CONTRAST;

/**
 * Weight of the HR
 */
(function (HR_CONTRAST) {
  HR_CONTRAST["SUBTLE"] = "subtle";
  HR_CONTRAST["STRONG"] = "strong";
})(HR_CONTRAST || (HR_CONTRAST = {}));
export let HR_WEIGHT;
(function (HR_WEIGHT) {
  HR_WEIGHT["THIN"] = "thin";
  HR_WEIGHT["THICK"] = "thick";
})(HR_WEIGHT || (HR_WEIGHT = {}));
//# sourceMappingURL=defs.js.map
