/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2021
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */

/**
 * Link list type
 */
export let LINK_LIST_TYPE;

/**
 * Link list item type. Should mirror `LINK_LIST_TYPE` of parent `<c4d-link-list>`.
 */
(function (LINK_LIST_TYPE) {
  LINK_LIST_TYPE["DEFAULT"] = "default";
  LINK_LIST_TYPE["VERTICAL"] = "vertical";
  LINK_LIST_TYPE["HORIZONTAL"] = "horizontal";
  LINK_LIST_TYPE["END"] = "end";
})(LINK_LIST_TYPE || (LINK_LIST_TYPE = {}));
export let LINK_LIST_ITEM_TYPE;
(function (LINK_LIST_ITEM_TYPE) {
  LINK_LIST_ITEM_TYPE["DEFAULT"] = "default";
  LINK_LIST_ITEM_TYPE["END"] = "end";
})(LINK_LIST_ITEM_TYPE || (LINK_LIST_ITEM_TYPE = {}));
//# sourceMappingURL=defs.js.map
