/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import CDSLink from '@carbon/web-components/es/components/link/link.js';
import { MEGAMENU_LINK_WITH_ICON_STYLE_SCHEME } from './defs';
export { MEGAMENU_LINK_WITH_ICON_STYLE_SCHEME };
/**
 * Megamenu link with icon.
 *
 * @element c4d-megamenu-link-with-icon
 */
declare class C4DMegaMenuLinkWithIcon extends CDSLink {
    /**
     * link title.
     */
    styleScheme: MEGAMENU_LINK_WITH_ICON_STYLE_SCHEME;
    static get styles(): import("lit").CSSResult;
}
export default C4DMegaMenuLinkWithIcon;

//# sourceMappingURL=megamenu-link-with-icon.d.ts.map
