/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import CDSHeaderNavItem from '@carbon/web-components/es/components/ui-shell/header-nav-item.js';
/**
 * Masthead top nav item.
 *
 * @element c4d-top-nav-item
 */
declare class C4DTopNavItem extends CDSHeaderNavItem {
    /**
     * The `<a>`.
     */
    private _linkNode?;
    /**
     * `true` if this nav item should be in its active state.
     */
    active: boolean;
    updated(changedProperties: any): void;
    firstUpdated(): void;
    static styles: any;
}
export default C4DTopNavItem;

//# sourceMappingURL=top-nav-item.d.ts.map
