/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import CDSHeaderMenu from '@carbon/web-components/es/components/ui-shell/header-menu.js';
/**
 * Masthead top nav submenu.
 *
 * @element c4d-top-nav-menu
 */
declare class C4DTopNavMenu extends CDSHeaderMenu {
    /**
     * `true` if this submenu should be in its active state.
     */
    active: boolean;
    updated(changedProperties: any): void;
    connectedCallback(): void;
    static styles: any;
}
export default C4DTopNavMenu;

//# sourceMappingURL=top-nav-menu.d.ts.map
