/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import CDSStructuredListRow from '@carbon/web-components/es/components/structured-list/structured-list-row.js';
/**
 * StructuredListRow
 *
 * @element c4d-structured-list-row
 */
declare class C4DStructuredListRow extends CDSStructuredListRow {
    connectedCallback(): void;
    updated(changedProperties: any): void;
    render(): import("lit-html").TemplateResult<1>;
    static styles: any;
}
export default C4DStructuredListRow;

//# sourceMappingURL=structured-list-row.d.ts.map
