/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
import C4DTabsExtended from '../tabs-extended/tabs-extended';
/**
 * A component to present media content inside a tabbed layout.
 *
 * @element c4d-tabs-extended-media
 */
declare class C4DTabsExtendedMedia extends C4DTabsExtended {
    /**
     * `true` if section heading should be shown.
     */
    sectionHeading: string;
    static get stableSelector(): string;
    static styles: any;
}
export default C4DTabsExtendedMedia;

//# sourceMappingURL=tabs-extended-media.d.ts.map
