"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MOBILE_POSITION = exports.GRADIENT_DIRECTION = void 0;
/**
 * @license
 *
 * Copyright IBM Corp. 2021, 2025
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
/**
 * Gradient Direction
 */
let GRADIENT_DIRECTION = exports.GRADIENT_DIRECTION = void 0;
/**
 * Mobile Position
 */
(function (GRADIENT_DIRECTION) {
  GRADIENT_DIRECTION["LEFT_TO_RIGHT"] = "left-to-right";
  GRADIENT_DIRECTION["RIGHT_TO_LEFT"] = "right-to-left";
  GRADIENT_DIRECTION["TOP_TO_BOTTOM"] = "top-to-bottom";
})(GRADIENT_DIRECTION || (exports.GRADIENT_DIRECTION = GRADIENT_DIRECTION = {}));
let MOBILE_POSITION = exports.MOBILE_POSITION = void 0;
(function (MOBILE_POSITION) {
  MOBILE_POSITION["TOP"] = "top";
  MOBILE_POSITION["BOTTOM"] = "bottom";
})(MOBILE_POSITION || (exports.MOBILE_POSITION = MOBILE_POSITION = {}));
//# sourceMappingURL=defs.js.map
