"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.MEDIA_TYPE = exports.MEDIA_ALIGN = void 0;
/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2021
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
/**
 * Media align.
 */
let MEDIA_ALIGN = exports.MEDIA_ALIGN = void 0;
/**
 * Media type.
 */
(function (MEDIA_ALIGN) {
  MEDIA_ALIGN["LEFT"] = "left";
  MEDIA_ALIGN["RIGHT"] = "right";
})(MEDIA_ALIGN || (exports.MEDIA_ALIGN = MEDIA_ALIGN = {}));
let MEDIA_TYPE = exports.MEDIA_TYPE = void 0;
(function (MEDIA_TYPE) {
  MEDIA_TYPE["IMAGE"] = "image";
  MEDIA_TYPE["VIDEO"] = "video";
})(MEDIA_TYPE || (exports.MEDIA_TYPE = MEDIA_TYPE = {}));
//# sourceMappingURL=defs.js.map
