"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EXPRESSIVE_MODAL_SIZE = exports.EXPRESSIVE_MODAL_MODE = void 0;
/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2021
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
/**
 * Expressive modal size.
 */
let EXPRESSIVE_MODAL_SIZE = exports.EXPRESSIVE_MODAL_SIZE = void 0;
/**
 * Expressive modal mode.
 */
(function (EXPRESSIVE_MODAL_SIZE) {
  EXPRESSIVE_MODAL_SIZE["REGULAR"] = "";
  EXPRESSIVE_MODAL_SIZE["FULL_WIDTH"] = "full-width";
})(EXPRESSIVE_MODAL_SIZE || (exports.EXPRESSIVE_MODAL_SIZE = EXPRESSIVE_MODAL_SIZE = {}));
let EXPRESSIVE_MODAL_MODE = exports.EXPRESSIVE_MODAL_MODE = void 0;
(function (EXPRESSIVE_MODAL_MODE) {
  EXPRESSIVE_MODAL_MODE["DEFAULT"] = "";
  EXPRESSIVE_MODAL_MODE["LIGHTBOX"] = "lightbox";
})(EXPRESSIVE_MODAL_MODE || (exports.EXPRESSIVE_MODAL_MODE = EXPRESSIVE_MODAL_MODE = {}));
//# sourceMappingURL=defs.js.map
