"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "DROPDOWN_COLOR_SCHEME", {
  enumerable: true,
  get: function () {
    return _sharedEnums.FORM_ELEMENT_COLOR_SCHEME;
  }
});
exports.LANGUAGE_SELECTOR_STYLE_SCHEME = exports.FOOTER_SIZE = exports.DROPDOWN_SIZE = void 0;
var _sharedEnums = require("@carbon/web-components/es/globals/shared-enums.js");
/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
/**
 * Footer size.
 */
let FOOTER_SIZE = exports.FOOTER_SIZE = void 0; // TODO: Remove when JAWS bug has been fixed
/**
 * The style scheme of language selector.
 */
(function (FOOTER_SIZE) {
  FOOTER_SIZE["REGULAR"] = "";
  FOOTER_SIZE["SHORT"] = "short";
  FOOTER_SIZE["MICRO"] = "micro";
})(FOOTER_SIZE || (exports.FOOTER_SIZE = FOOTER_SIZE = {}));
let LANGUAGE_SELECTOR_STYLE_SCHEME = exports.LANGUAGE_SELECTOR_STYLE_SCHEME = void 0;
/**
 * Dropdown size.
 */
(function (LANGUAGE_SELECTOR_STYLE_SCHEME) {
  LANGUAGE_SELECTOR_STYLE_SCHEME["REGULAR"] = "";
  LANGUAGE_SELECTOR_STYLE_SCHEME["BLENDED"] = "blended";
})(LANGUAGE_SELECTOR_STYLE_SCHEME || (exports.LANGUAGE_SELECTOR_STYLE_SCHEME = LANGUAGE_SELECTOR_STYLE_SCHEME = {}));
let DROPDOWN_SIZE = exports.DROPDOWN_SIZE = void 0;
(function (DROPDOWN_SIZE) {
  DROPDOWN_SIZE["REGULAR"] = "";
  DROPDOWN_SIZE["SMALL"] = "sm";
  DROPDOWN_SIZE["LARGE"] = "lg";
  DROPDOWN_SIZE["MICRO"] = "micro";
})(DROPDOWN_SIZE || (exports.DROPDOWN_SIZE = DROPDOWN_SIZE = {}));
//# sourceMappingURL=defs.js.map
