"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.HR_WEIGHT = exports.HR_TYPE = exports.HR_SIZE = exports.HR_CONTRAST = void 0;
/**
 * @license
 *
 * Copyright IBM Corp. 2020
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
/**
 * Type of the HR
 */
let HR_TYPE = exports.HR_TYPE = void 0;
/**
 * Length of the HR
 */
(function (HR_TYPE) {
  HR_TYPE["SOLID"] = "solid";
  HR_TYPE["DASHED"] = "dashed";
})(HR_TYPE || (exports.HR_TYPE = HR_TYPE = {}));
let HR_SIZE = exports.HR_SIZE = void 0;
/**
 * Contrast of the HR
 */
(function (HR_SIZE) {
  HR_SIZE["FLUID"] = "fluid";
  HR_SIZE["SMALL"] = "small";
  HR_SIZE["MEDIUM"] = "medium";
  HR_SIZE["LARGE"] = "large";
})(HR_SIZE || (exports.HR_SIZE = HR_SIZE = {}));
let HR_CONTRAST = exports.HR_CONTRAST = void 0;
/**
 * Weight of the HR
 */
(function (HR_CONTRAST) {
  HR_CONTRAST["SUBTLE"] = "subtle";
  HR_CONTRAST["STRONG"] = "strong";
})(HR_CONTRAST || (exports.HR_CONTRAST = HR_CONTRAST = {}));
let HR_WEIGHT = exports.HR_WEIGHT = void 0;
(function (HR_WEIGHT) {
  HR_WEIGHT["THIN"] = "thin";
  HR_WEIGHT["THICK"] = "thick";
})(HR_WEIGHT || (exports.HR_WEIGHT = HR_WEIGHT = {}));
//# sourceMappingURL=defs.js.map
