"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.DUAL_THEMES = exports.ADJACENT_THEMES = void 0;
/**
 * @license
 *
 * Copyright IBM Corp. 2021
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
/**
 * Dual themes
 */
let DUAL_THEMES = exports.DUAL_THEMES = void 0;
/**
 * Adjacent themes
 */
(function (DUAL_THEMES) {
  DUAL_THEMES["WHITE_AND_G10"] = "white-and-g10";
  DUAL_THEMES["G10_AND_WHITE"] = "g10-and-white";
  DUAL_THEMES["G90_AND_G100"] = "g90-and-g100";
  DUAL_THEMES["G100_AND_G90"] = "g100-and-g90";
  DUAL_THEMES["MONOTHEME"] = "";
})(DUAL_THEMES || (exports.DUAL_THEMES = DUAL_THEMES = {}));
let ADJACENT_THEMES = exports.ADJACENT_THEMES = void 0;
(function (ADJACENT_THEMES) {
  ADJACENT_THEMES["MONOTHEME"] = "";
  ADJACENT_THEMES["DUAL_THEME"] = "dual-theme";
})(ADJACENT_THEMES || (exports.ADJACENT_THEMES = ADJACENT_THEMES = {}));
//# sourceMappingURL=defs.js.map
