"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.VIDEO_PLAYER_PLAYING_MODE = exports.VIDEO_PLAYER_CONTENT_STATE = exports.BUTTON_POSITION = void 0;
/**
 * @license
 *
 * Copyright IBM Corp. 2020, 2024
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */
/**
 * Video player's content state.
 */
let VIDEO_PLAYER_CONTENT_STATE = exports.VIDEO_PLAYER_CONTENT_STATE = void 0;
/**
 * Video player's playing mode.
 */
(function (VIDEO_PLAYER_CONTENT_STATE) {
  VIDEO_PLAYER_CONTENT_STATE["THUMBNAIL"] = "thumbnail";
  VIDEO_PLAYER_CONTENT_STATE["VIDEO"] = "video";
})(VIDEO_PLAYER_CONTENT_STATE || (exports.VIDEO_PLAYER_CONTENT_STATE = VIDEO_PLAYER_CONTENT_STATE = {}));
let VIDEO_PLAYER_PLAYING_MODE = exports.VIDEO_PLAYER_PLAYING_MODE = void 0;
(function (VIDEO_PLAYER_PLAYING_MODE) {
  VIDEO_PLAYER_PLAYING_MODE["INLINE"] = "inline";
  VIDEO_PLAYER_PLAYING_MODE["LIGHTBOX"] = "lightbox";
})(VIDEO_PLAYER_PLAYING_MODE || (exports.VIDEO_PLAYER_PLAYING_MODE = VIDEO_PLAYER_PLAYING_MODE = {}));
let BUTTON_POSITION = exports.BUTTON_POSITION = void 0;
(function (BUTTON_POSITION) {
  BUTTON_POSITION["TOP_LEFT"] = "top-left";
  BUTTON_POSITION["TOP_RIGHT"] = "top-right";
  BUTTON_POSITION["BOTTOM_RIGHT"] = "bottom-right";
  BUTTON_POSITION["BOTTOM_LEFT"] = "bottom-left";
})(BUTTON_POSITION || (exports.BUTTON_POSITION = BUTTON_POSITION = {}));
//# sourceMappingURL=defs.js.map
